Skip to content

List hosts and services

GET
/api/v1/objects
curl --request GET \
--url https://example.com/api/v1/objects \
--header 'Authorization: Bearer <token>'
selector
string

Label selector, e.g. env=prod,team!=db

hostId
string

Restrict services to this host id

folder
string

Restrict to a folder path

q
string

Free-text name match

withState
boolean

Include live check-state in each item (default true)

cursor
string

Opaque pagination cursor from a prior response’s nextCursor

limit
integer

Maximum items to return in this page

OK

Media typeapplication/json
object
items
required
nextCursor
string
Examplegenerated
{
"items": "example",
"nextCursor": "example"
}

Problem Details (RFC 9457)

Media typeapplication/problem+json
object
code
required
string
detail
string
instance
string
status
required
integer
title
required
string
type
required
string
Examplegenerated
{
"code": "example",
"detail": "example",
"instance": "example",
"status": 1,
"title": "example",
"type": "example"
}